# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-IO-Compress-Lzma
Version:	2.096
Release:	1.%{__distinit}%{__distvers}
Summary:	Read and write lzma compressed data
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/IO-Compress-Lzma
Source0:	https://cpan.metacpan.org/modules/by-module/IO/IO-Compress-Lzma-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Config)
BuildRequires:	perl(ExtUtils::MakeMaker) >= 5.16
BuildRequires:	perl(File::Copy)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(lib)
# Module Runtime
BuildRequires:	perl(bytes)
BuildRequires:	perl(Compress::Raw::Lzma) >= %{version}
BuildRequires:	perl(constant)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(IO::Compress::Base) >= %{version}
BuildRequires:	perl(IO::Compress::Base::Common) >= %{version}
BuildRequires:	perl(IO::Uncompress::Base) >= %{version}
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Carp)
BuildRequires:	perl(Compress::Raw::Zlib) >= 2
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(IO::Compress::Zip)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IO::Uncompress::AnyUncompress)
BuildRequires:	perl(IO::Uncompress::Unzip)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Test::More)
BuildRequires:	xz, xz-lzma-compat
# Optional Tests
BuildRequires:	lzip
BuildRequires:	perl(Encode)
BuildRequires:	perl(IO::String)
BuildRequires:	perl(Test::CPAN::Meta)
BuildRequires:	perl(Test::CPAN::Meta::JSON)
BuildRequires:	perl(Test::NoWarnings)
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	/usr/bin/7z
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This distribution provides a Perl interface to allow reading and writing of
compressed data created with the lzma library.

%prep
%setup -q -n IO-Compress-Lzma-%{version}

# Remove bundled test modules
rm -rv t/Test/
perl -i -ne 'print $_ unless m{^t/Test/}' MANIFEST

# Remove spurious exec permissions
chmod -c -x examples/*

# Fix shellbangs in examples
perl -pi -e 's|^#!/usr/local/bin/perl\b|#!/usr/bin/perl|' \
	examples/lzcat examples/lzstream examples/xzcat examples/xzstream

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test COMPRESS_ZLIB_RUN_MOST=1

%files
%doc Changes README examples/*
%{perl_vendorlib}/IO/
%{_mandir}/man3/IO::Compress::Lzip.3*
%{_mandir}/man3/IO::Compress::Lzma.3*
%{_mandir}/man3/IO::Compress::Xz.3*
%{_mandir}/man3/IO::Uncompress::UnLzip.3*
%{_mandir}/man3/IO::Uncompress::UnLzma.3*
%{_mandir}/man3/IO::Uncompress::UnXz.3*

%changelog
* Sat Aug  1 2020 Paul Howarth <paul@city-fan.org> - 2.096-1
- Update to 2.096
  - Add test for Zip with XZ compression

* Tue Jul 21 2020 Paul Howarth <paul@city-fan.org> - 2.095-1
- Update to 2.095 (no changes)

* Tue Jul 14 2020 Paul Howarth <paul@city-fan.org> - 2.094-1
- Update to 2.094 (no changes)

* Fri Feb 14 2020 aul Howarth <paul@city-fan.org> - 2.093-3
- Unbundle test dependencies

* Sun Dec  8 2019 Paul Howarth <paul@city-fan.org> - 2.093-1
- Update to 2.093
  - Fixed minor typo in the pod (GH#3)

* Thu Dec  5 2019 Paul Howarth <paul@city-fan.org> - 2.092-1
- Update to 2.092
  - t/oooprereq.t: Fix list of dumped packages
  - t/oooprereq.t: Dump version data

* Sun Nov 24 2019 Paul Howarth <paul@city-fan.org> - 2.091-1
- Update to 2.091 (no changes)

* Sun Nov 10 2019 Paul Howarth <paul@city-fan.org> - 2.090-1
- Update to 2.090
  - Fix typo: change lzstrem to xzstream

* Sun Nov  3 2019 Paul Howarth <paul@city-fan.org> - 2.089-1
- Update to 2.089 (no changes)

* Sun Nov  3 2019 Paul Howarth <paul@city-fan.org> - 2.088-1
- Update to 2.088
  - Add support details to documentation
  - Beef up reset for zip use-case
  - Remove unnecessary commented code
  - Documentation updates

* Mon Aug 12 2019 Paul Howarth <paul@city-fan.org> - 2.087-1
- Update to 2.087 (no changes)

* Mon Apr  1 2019 Paul Howarth <paul@city-fan.org> - 2.086-1
- Update to 2.086
  - Moved source to github: https://github.com/pmqs/IO-Compress-Lzma
  - Add META_MERGE to Makefile.PL
  - Added meta-json.t and meta-yaml.t

* Mon Jan  7 2019 Paul Howarth <paul@city-fan.org> - 2.084-1
- Update to 2.084
  - Added support for lzip with IO::Compress::Lzip and
    IO::Uncompress::UnLzip

* Wed Jan  2 2019 Paul Howarth <paul@city-fan.org> - 2.083-1
- Update to 2.083 (no changes)
- Switch upstream from search.cpan.org to metacpan.org

* Mon Apr  9 2018 Paul Howarth <paul@city-fan.org> - 2.081-1
- Update to 2.081
  - Previous release used $^W instead of use warnings - fixed

* Wed Apr  4 2018 Paul Howarth <paul@city-fan.org> - 2.080-1
- Update to 2.080 (no changes)
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Mon Feb 20 2017 Paul Howarth <paul@city-fan.org> - 2.074-1
- Update to 2.074
  - ISA fixes for c3 (CPAN RT#120239)

* Mon Feb 13 2017 Paul Howarth <paul@city-fan.org> - 2.072-1
- Update to 2.072
  - Fix for Makefile.PL depending on . in @INC (CPAN RT#120084)
- Run additional tests by specifying COMPRESS_ZLIB_RUN_MOST

* Thu Dec 29 2016 Paul Howarth <paul@city-fan.org> - 2.070-1
- Update to 2.070 (no changes)

* Fri Aug 26 2016 Paul Howarth <paul@city-fan.org> - 2.069-3
- BR: perl-generators where available
- Simplify find command using -delete

* Sun Sep 27 2015 Paul Howarth <paul@city-fan.org> - 2.069-1
- Update to 2.069 (no changes)

* Wed Dec 24 2014 Paul Howarth <paul@city-fan.org> - 2.068-1
- Update to 2.068 (no changes)

* Tue Dec  9 2014 Paul Howarth <paul@city-fan.org> - 2.067-1
- Update to 2.067 (no changes)
- Classify buildreqs by usage

* Mon Sep 22 2014 Paul Howarth <paul@city-fan.org> - 2.066-1
- Update to 2.066 (no changes)

* Wed Sep 10 2014 Paul Howarth <paul@city-fan.org> - 2.064-3
- Drop %%defattr, redundant since rpm 4.4
- BR: /usr/bin/7z unconditionally

* Sun Feb  2 2014 Paul Howarth <paul@city-fan.org> - 2.064-1
- Update to 2.064 (no changes)

* Sun Nov  3 2013 Paul Howarth <paul@city-fan.org> - 2.063-1
- Update to 2.063 (no changes)

* Mon Aug 12 2013 Paul Howarth <paul@city-fan.org> - 2.062-1
- Update to 2.062
  - Typo fixes (CPAN RT#86578)

* Fri Jul 19 2013 Paul Howarth <paul@city-fan.org> - 2.061-2
- Perl 5.18 rebuild

* Mon May 27 2013 Paul Howarth <paul@city-fan.org> - 2.061-1
- Update to 2.061
  - Fix IO::Uncompress::UnXz v2.060 memLimit option bug (CPAN RT#84966)

* Tue Jan  8 2013 Paul Howarth <paul@city-fan.org> - 2.060-1
- Update to 2.060 (no changes)

* Sat Dec 15 2012 Paul Howarth <paul@city-fan.org> - 2.059-1
- Update to 2.059 (no changes)

* Tue Nov 13 2012 Paul Howarth <paul@city-fan.org> - 2.058-1
- Update to 2.058 (no changes)

* Sat Nov 10 2012 Paul Howarth <paul@city-fan.org> - 2.057-1
- Update to 2.057 (general performance improvements)

* Mon Aug  6 2012 Paul Howarth <paul@city-fan.org> - 2.055-1
- Update to 2.055 (no changes)

* Thu Jul  5 2012 Paul Howarth <paul@city-fan.org> - 2.052-2
- BR: perl(Carp), perl(constant), perl(File::Spec), perl(IO::Handle) and
  perl(lib)

* Sun Apr 29 2012 Paul Howarth <paul@city-fan.org> - 2.052-1
- Update to 2.052 (no changes)
- Don't need to remove empty directories from buildroot
- Package examples
- Drop support for old distributions prior to FC-3:
  - Don't need hack to support old File::Path versions
  - Use %%{_fixperms} macro rather than our own chmod incantation
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Don't need to BR: /bin/csh

* Sat Feb 18 2012 Paul Howarth <paul@city-fan.org> - 2.049-1
- Update to 2.049 (no changes)

* Sun Jan 29 2012 Paul Howarth <paul@city-fan.org> - 2.048-1
- Update to 2.048 (no changes)

* Sun Jan 29 2012 Paul Howarth <paul@city-fan.org> - 2.047-1
- Update to 2.047
  - Set minimum Perl version to 5.6

* Sun Dec  4 2011 Paul Howarth <paul@city-fan.org> - 2.045-1
- Update to 2.045
  - Moved FAQ.pod to IO::Compress

* Sun Dec  4 2011 Paul Howarth <paul@city-fan.org> - 2.044-1
- Update to 2.044
  - Moved FAQ.pod under the lib directory so it can get installed

* Mon Nov 21 2011 Paul Howarth <paul@city-fan.org> - 2.043-1
- Update to 2.043 (no changes)

* Fri Nov 18 2011 Paul Howarth <paul@city-fan.org> - 2.042-1
- Update to 2.042 (no changes)
- Resync versioned dependencies on IO::Compress::Base and Compress::Raw::Lzma

* Sat Oct 29 2011 Paul Howarth <paul@city-fan.org> - 2.041-1
- Update to 2.041
  - Remove debugging line in t/001lzma.t that writes to /tmp (CPAN RT#72023)
- Hard-code version requirements for IO::Compress and Compress::Raw::Lzma
  until the next synchronized release happens

* Sat Oct 29 2011 Paul Howarth <paul@city-fan.org> - 2.040-1
- Update to 2.040 (no changes)

* Fri Oct 28 2011 Paul Howarth <paul@city-fan.org> - 2.039-1
- Update to 2.039
  - Fixed uncompression issue in IO::Uncompress::UnLzma (CPAN RT#71114)

* Mon Jun 27 2011 Paul Howarth <paul@city-fan.org> - 2.038-2
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 24 2011 Paul Howarth <paul@city-fan.org> - 2.038-1
- Update to 2.038
  - Fixed missing SKIP label in t/050interop-zip-lzma.t
- Hard-code version requirements for IO::Compress and Compress::Raw::Lzma
  until the next synchronized release happens

* Wed Jun 22 2011 Paul Howarth <paul@city-fan.org> - 2.037-1
- Update to 2.037
  - Handle "Cannot Allocate Memory" issue with Extreme test in
    t/105oneshot-zip-lzma-only.t

* Mon Jun 20 2011 Paul Howarth <paul@city-fan.org> - 2.036-1
- Update to 2.036
  - IO::Compress::Adapter:
    - Added interface to allow creation of LZMA stream for use in a zip file
  - IO::Uncompress::Adapter:
    - Added interface to allow reading of LZMA stream in a zip file
- BR: /usr/bin/7z for additional test coverage where possible

* Sat May  7 2011 Paul Howarth <paul@city-fan.org> - 2.035-1
- Update to 2.035 (fix test failure on Windows - CPAN RT#67931)

* Tue May  3 2011 Paul Howarth <paul@city-fan.org> - 2.034-1
- Update to 2.034 (updates to test harness)
- Update patch for building with old File::Path
- Nobody else likes macros for commands

* Tue Jan 11 2011 Paul Howarth <paul@city-fan.org> - 2.033-1
- Update to 2.033 (made 001xz.t more forgiving when the tests run out of memory)

* Fri Jan  7 2011 Paul Howarth <paul@city-fan.org> - 2.032-1
- Update to 2.032 (no changes)

* Mon Jul 26 2010 Paul Howarth <paul@city-fan.org> - 2.030-1
- Update to 2.030 (no changes)

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> - 2.027-3
- Rebuild for perl 5.12.1 in Rawhide

* Sat Jun  5 2010 Paul Howarth <paul@city-fan.org> - 2.027-2
- Fix dist tag for RHEL-6 Beta

* Thu Apr 29 2010 Paul Howarth <paul@city-fan.org> - 2.027-1
- Initial RPM version
